ManagedConcurrentMap (Groovy 4.0.15)
Description: declaration: package: org.codehaus.groovy.util, class: ManagedConcurrentMap

Package org.codehaus.groovy.util

# Class ManagedConcurrentMap<K,V>

java.lang.Object
org.codehaus.groovy.util.AbstractConcurrentMapBase
org.codehaus.groovy.util.AbstractConcurrentMap<K,V>
org.codehaus.groovy.util.ManagedConcurrentMap<K,V>

@Deprecated public class ManagedConcurrentMap<K,V> extends AbstractConcurrentMap<K,V>
Deprecated.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ManagedConcurrentMap.Entry<K,V>`
  Deprecated.
  `static class`
  `ManagedConcurrentMap.EntryWithValue<K,V>`
  Deprecated.
  `static class`
  `ManagedConcurrentMap.Segment<K,V>`
  Deprecated.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ReferenceBundle`
  `bundle`
  Deprecated.

  ### Fields inherited from class org.codehaus.groovy.util.AbstractConcurrentMapBase

  `MAXIMUM_CAPACITY, segments`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ManagedConcurrentMap(ReferenceBundle bundle)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected ManagedConcurrentMap.Segment<K,V>`
  `createSegment(Object segmentInfo, int cap)`
  Deprecated.

  ### Methods inherited from class org.codehaus.groovy.util.AbstractConcurrentMap

  `get, getOrPut, put, remove, segmentFor`

  ### Methods inherited from class org.codehaus.groovy.util.AbstractConcurrentMapBase

  `fullSize, hash, size, values`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### bundle

    protected ReferenceBundle bundle
    Deprecated.

- ## Constructor Details

  - ### ManagedConcurrentMap

    public ManagedConcurrentMap(ReferenceBundle bundle)
    Deprecated.

- ## Method Details

  - ### createSegment

    protected ManagedConcurrentMap.Segment<K,V> createSegment(Object segmentInfo, int cap)
    Deprecated.
    Specified by:
      `createSegment` in class `AbstractConcurrentMapBase`